﻿namespace IronBreaker.Core.Helpers
{
    public class ArtifactPower
    {
        #region Declarations
        public int SpellId { get; }
        public string Name { get; }
        public int Cost { get; }
        public int CurrentRank { get; }
        public int MaxRank { get; }
        public int BonusRanks { get; }
        #endregion

        public ArtifactPower(int spellId, string name, int cost, int currentRank, int maxRank, int bonusRanks)
        {
            SpellId = spellId;
            Name = name;
            Cost = cost;
            CurrentRank = currentRank;
            MaxRank = maxRank;
            BonusRanks = bonusRanks;
        }

        public override string ToString()
        {
            return $"{Name} {SpellId} {CurrentRank}/{MaxRank}";
        }
    }
}
