﻿using System;
using System.Threading.Tasks;
using IronBreaker.Core.Utilities;
using Styx;
using Styx.CommonBot.Coroutines;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace IronBreaker.Rotations
{
    class Death
    {
        private static LocalPlayer Me => StyxWoW.Me;

        public static async Task<bool> OnDeath()
        {
            if (Me.IsDead)
            {
                Log.InfoLog(DateTime.Now.ToString("mm:ss:ffffff") + " RepopMe()", Coloring.Info);
                Lua.DoString("RepopMe()");
            }

            if (Me.IsGhost)
            {
                if (Battlegrounds.IsInsideBattleground || Me.CurrentMap.Name == "Ashran")
                {
                    Log.InfoLog(DateTime.Now.ToString("mm:ss:ffffff") + "Waiting for Spirit Resurrection",
                        Coloring.Info);
                    await CommonCoroutines.MoveTo(Me.CorpsePoint);
                }
                else
                {
                    Log.InfoLog(DateTime.Now.ToString("mm:ss:ffffff") + " Move to Corpse", Coloring.Info);
                    await CommonCoroutines.MoveTo(Me.CorpsePoint);
                }
            }
            return false;
        }
    }
}
