﻿using System.Threading.Tasks;
using Buddy.Coroutines;
using IronBreaker.Core.Helpers;
using Styx;
using Styx.CommonBot.Inventory;
using Styx.WoWInternals.WoWObjects;
using I = IronBreaker.Core.Item;

namespace IronBreaker.Rotations
{
    internal class Rest
    {
        #region Declarations
        private static LocalPlayer Me => StyxWoW.Me;
        public static bool IsResting => Me.HasAnyAura("Drink", "Food", "Refreshment");
        #endregion

        public static async Task<bool> RestBehavior()
        {      
            if (Me.IsCasting || Me.IsChanneling || IsResting || Me.Combat) { return false; }
            WoWItem food = Consumable.GetBestFood(false);
            if (Me.HealthPercent < Main.IS.RestingValue)
            {
                if (Me.HealthPercent < 100 && food != null)
                {
                    await I.UseItem(food, true);
                    await Coroutine.Sleep(500);
                }
            }
            return false;
        }
    }
}
