﻿using System.Threading.Tasks;
using Buddy.Coroutines;
using IronBreaker.Core;
using IronBreaker.Core.Utilities;
using Styx;
using Styx.CommonBot.Coroutines;
using Styx.WoWInternals.WoWObjects;

namespace IronBreaker.Rotations
{
    internal class Sickness
    {
        private static LocalPlayer Me => StyxWoW.Me;

        public static async Task<bool> HandleRezSickness()
        {
            while (Me.HasAura("Resurrection Sickness"))
            {
                if (await Spell.Gcd("Shadowmeld", Coloring.HighNormal,
                    Me.Race == WoWRace.NightElf
                    && !Me.HasAura("Shadowmeld"),
                    "Rez Sickness Active - Stealthing while we wait"))
                { return true; }

                await CommonCoroutines.SleepForLagDuration();
                await Coroutine.Sleep(500);
            }
            return true;
        }
    }
}
