﻿using IronBreaker.Core.Managers;
using Styx.Common.Helpers;
using Styx.WoWInternals;

namespace IronBreaker
{
    partial class Main
    {
        #region Declarations
        private static WoWGuid _lastTargetGuid;
        private static WaitTimer TargetTimeoutTimer { get; set; }
        private static bool LostControl => Me.Fleeing || Me.Stunned;
        #endregion

        public bool RebuildBehaviors(bool silent = false)
        {
            GetCurrentContext();
            InitBehaviorPropertyOverrides();
            return false;
        }

        private void InitBehaviorPropertyOverrides()
        {
            TankManager.NeedTankTargeting = false;
            if (TankManager.Instance != null)
                TankManager.Instance.Clear();
        }

        public static void ResetCurrentTarget()
        {
            _lastTargetGuid = WoWGuid.Empty;
        }
    }
}
